//
//  Controller.m
//  FlipLab
//
//  Created by Paul Kim on 1/30/09.
//  Copyright 2009 Noodlesoft, LLC. All rights reserved.
//
// Permission is hereby granted, free of charge, to any person
// obtaining a copy of this software and associated documentation
// files (the "Software"), to deal in the Software without
// restriction, including without limitation the rights to use,
// copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the
// Software is furnished to do so, subject to the following
// conditions:
// 
// The above copyright notice and this permission notice shall be
// included in all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
// EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
// OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
// NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
// HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
// WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
// FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
// OTHER DEALINGS IN THE SOFTWARE.
//
#import "Controller.h"
#import "ImageDrawView.h"

@implementation Controller

- (void)awakeFromNib
{
	[drawView1 setDrawMethod:kUseComposite];
	[drawView2 setDrawMethod:kUseDraw];	
	[drawView3 setDrawMethod:kUseCorrectedDraw];
}

- (IBAction)updateSourceFlipped:sender
{
	[drawView1 setImageFlipped:[sender selectedTag]];
	[drawView2 setImageFlipped:[sender selectedTag]];
	[drawView3 setImageFlipped:[sender selectedTag]];
}

- (IBAction)updateDestinationFlipped:sender
{
	[drawView1 setDestinationFlipped:[sender selectedTag]];
	[drawView2 setDestinationFlipped:[sender selectedTag]];
	[drawView3 setDestinationFlipped:[sender selectedTag]];
}

- (IBAction)updateScale:sender
{
	float		scale;
	
	scale = [sender floatValue];
	if (scale <= 0)
	{
		scale = 1.0;
	}
	[scaleField setFloatValue:scale];
	[scaleSlider setFloatValue:scale];
	[drawView1 setScale:scale];
	[drawView2 setScale:scale];
	[drawView3 setScale:scale];
}

@end
